#----------------------------------------------------------------------------
# config.mak
# copyright (c) innovaphone 2018
#----------------------------------------------------------------------------

HTTPFILES-FLAGS = -k -s 0,HTTP_GZIP
HTTPFILES-WEB-FLAGS = -k -r web -s 0,HTTP_GZIP

$(OUTDIR)/obj/httpfiles.cpp: $(IP_SRC)/client/config/httpfiles/*.*
		$(IP_SRC)/exe/httpfiles -k -d $(IP_SRC)/client/config/httpfiles -t $(OUTDIR) -o $(OUTDIR)/obj/httpfiles.cpp \
		config.htm \
		config.css \
        config.js \
        config_ip270.js \
        config_ip270_wirelesshandset.js \
        config_ip270_lockscreen.js \
		config.png \
        statusheader.htm \
        statusheader.js \
        start.htm \
        start.css \
        start.js \
        innovaphone.pbx.appclient.start.lang.js \
        provision.htm \
        provision.js \
        innovaphone.pbx.appclient.provision.lang.js \
        fixcert.htm \
        fixcert.js \
        fixcert.css \
		fixcert.texts.js \
        fixcert-00-00.png \
        fixcert-00-01.png \
        fixcert-00-02.png \
        fixcert-01-00.png \
        fixcert-01-01.png \
        fixcert-01-02.png \
        fixcert-01-03.png \
        fixcert-01-04.png \
        appclient_logo.svg

SRC += $(OUTDIR)/obj/httpfiles.cpp
APP_OBJS += $(OUTDIR)/obj/httpfiles.o
$(OUTDIR)/obj/httpfiles.o: $(OUTDIR)/obj/httpfiles.cpp

include $(IP_SRC)/web1/fonts/fonts.mak
include $(IP_SRC)/web1/lib1/lib1.mak
include $(IP_SRC)/web1/ui1.lib/ui1.lib.mak
include $(IP_SRC)/web1/ui1.svg/ui1.svg.mak
include $(IP_SRC)/web1/ui1.scrolling/ui1.scrolling.mak
include $(IP_SRC)/web1/ui1.switch/ui1.switch.mak
include $(IP_SRC)/web1/appwebsocket/appwebsocket.mak

SRC += $(OUTDIR)/obj/fonts_httpdata.cpp
SRC += $(OUTDIR)/obj/lib1_httpdata.cpp
SRC += $(OUTDIR)/obj/ui1.lib_httpdata.cpp
SRC += $(OUTDIR)/obj/ui1.svg_httpdata.cpp
SRC += $(OUTDIR)/obj/ui1.scrolling_httpdata.cpp
SRC += $(OUTDIR)/obj/appwebsocket_httpdata.cpp

SRC += $(IP_SRC)/client/config/client.cpp
APP_OBJS += $(OUTDIR)/obj/client.o
$(OUTDIR)/obj/client.o: $(IP_SRC)/client/config/client.cpp

SRC += $(IP_SRC)/client/config/client_config.cpp
APP_OBJS += $(OUTDIR)/obj/client_config.o
$(OUTDIR)/obj/client_config.o: $(IP_SRC)/client/config/client_config.cpp

SRC += $(IP_SRC)/client/config/debug_readlog.cpp
APP_OBJS += $(OUTDIR)/obj/debug_readlog.o
$(OUTDIR)/obj/debug_readlog.o: $(IP_SRC)/client/config/debug_readlog.cpp
